#include <M5StickC.h>
#include <Servo.h> //事前にServoESP32 liblary のインストールが必要
Servo servo1,servo2;

void setup() {
  M5.begin();
  pinMode(10,OUTPUT);//内蔵LED
  servo1.attach(33);//引き金用サーボ
  servo2.attach(32);//角度用サーボ
  servo1.write(90);
  servo2.write(0);
  digitalWrite(10,HIGH);//内蔵LEDはHIGHでOFF、LOWでON！
}

//カタパルトをゆっくり上げる処理
void up(){
  int angle;
  for (angle = 0 ;angle <=45; angle++){
    servo2.write(angle);
    digitalWrite(10,LOW);//LEDを点滅する処理
    delay(100);
    digitalWrite(10,HIGH);
    delay(100);    
    }
}

//カタパルトをゆっくり下げる処理
void down(){
  int angle;
  for (angle = 45 ;angle >=0; angle--){
    servo2.write(angle);
    digitalWrite(10,LOW);//LEDを点滅する処理
    delay(100);
    digitalWrite(10,HIGH);
    delay(100);    
    }
}

//発射

void trigger(){
    servo1.write(0);//引き金を引く
    delay(1000);
    servo1.write(90);
}

void loop() {
 M5.update(); //ボタンが押されたのを確認
  if (M5.BtnA.wasPressed()) {//ボタンA（正面G37）が押された
    up();//カタパルトを上げる
    trigger();//発射
    digitalWrite(10,HIGH);//LEDを消灯
    
  } else if (M5.BtnB.wasPressed()) {//ボタンB（側面G39）が押された
    down();//カタパルトを下げる
    digitalWrite(10,HIGH);//LEDを消灯
  }
}